> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.jarvi.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# [Profiles] List

> Get all profiles with their custom fields, files, and more. This endpoint is not paginated, you got enverything at once.

<Warning>You must use your **private api key** for this request.</Warning>

You can completely customize all information for each profile using <a href="../../custom-fields">Custom Fields</a>. Click on this link to understand how to read and write information in custom fields.


## OpenAPI

````yaml GET /rest/v2/profiles
openapi: 3.0.1
info:
  title: Jarvi API
  description: An API to help you read and manage your projects, profiles, and more.
  license:
    name: MIT
  version: 2.0.0
servers:
  - url: https://functions.prod.jarvi.tech/v1/public-api
security:
  - ApiKeyAuth: []
paths:
  /rest/v2/profiles:
    get:
      summary: Get Profiles
      description: >-
        Get all profiles with their custom fields, files, and more. This
        endpoint is not paginated, you got enverything at once.
      parameters:
        - in: query
          name: updatedAfter
          schema:
            type: string
          required: false
          description: An ISO 8601 date string to filter profiles updated after this date
          example: '2024-05-30T10:19:11.381731+00:00'
        - in: query
          name: where
          schema:
            type: string
          required: false
          description: >-
            A JSON object string containing the graphQL filters for more
            advanced usage
        - in: query
          name: orderBy
          schema:
            type: string
          required: false
          description: >-
            A JSON object string containing the order. Example: { "createdAt":
            "desc" }
        - in: query
          name: limit
          schema:
            type: number
          required: false
          description: The number of profiles to return. Default is 100, max is 1000
        - in: query
          name: offset
          schema:
            type: number
          required: false
          description: Return profiles starting from this offset
          example: 0
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  data:
                    items:
                      description: columns and relationships of "profiles"
                      nullable: false
                      properties:
                        __typename:
                          nullable: false
                          title: String
                          type: string
                        addedAt:
                          $ref: '#/components/schemas/timestamptz'
                        assignees:
                          items:
                            description: >-
                              Maintained by triggers. Indicates which profiles
                              are assigned to whom, based on who is assigned to
                              the projects and companies the profile is in.
                            nullable: false
                            properties:
                              user:
                                description: >-
                                  User account information. Don't modify its
                                  structure as Hasura Auth relies on it to
                                  function properly.
                                nullable: false
                                properties:
                                  displayName:
                                    nullable: false
                                    title: String
                                    type: string
                                  id:
                                    $ref: '#/components/schemas/uuid!'
                                title: users
                                type: object
                            title: profiles_assignees_cache
                            type: object
                          nullable: false
                          type: array
                        associations:
                          items:
                            description: >-
                              columns and relationships of
                              "profiles_associations"
                            nullable: false
                            properties:
                              associationType: 4c6c53ab-56c7-4239-b49c-de91fec4599a
                              company:
                                description: Which users groups have whichcompanies
                                nullable: true
                                properties:
                                  assignees:
                                    items:
                                      description: Users assigned to companies.
                                      nullable: false
                                      properties:
                                        user:
                                          description: >-
                                            User account information. Don't modify
                                            its structure as Hasura Auth relies on
                                            it to function properly.
                                          nullable: false
                                          properties:
                                            id:
                                              $ref: '#/components/schemas/uuid!'
                                          title: users
                                          type: object
                                      title: companies_assignees
                                      type: object
                                    nullable: false
                                    type: array
                                  companyPublicData:
                                    description: >-
                                      columns and relationships of
                                      "companies_publicdata"
                                    nullable: false
                                    properties:
                                      id:
                                        $ref: '#/components/schemas/uuid!'
                                      image:
                                        description: columns and relationships of "images"
                                        nullable: true
                                        properties:
                                          publicUrl:
                                            nullable: true
                                            title: String
                                            type: string
                                        title: images
                                        type: object
                                      name:
                                        nullable: false
                                        title: String
                                        type: string
                                    title: companies_publicdata
                                    type: object
                                  companyPublicDataId:
                                    $ref: '#/components/schemas/uuid!'
                                  fieldsValues:
                                    items:
                                      description: >-
                                        columns and relationships of
                                        "companies_fieldsvalues"
                                      nullable: false
                                      properties:
                                        field:
                                          description: columns and relationships of "fields"
                                          nullable: false
                                          properties:
                                            id:
                                              $ref: '#/components/schemas/uuid!'
                                            name:
                                              nullable: false
                                              title: String
                                              type: string
                                            type:
                                              $ref: '#/components/schemas/fields_types_enum!'
                                          title: fields
                                          type: object
                                        fieldValue:
                                          description: >-
                                            columns and relationships of
                                            "fieldsvalues"
                                          nullable: true
                                          properties:
                                            id:
                                              $ref: '#/components/schemas/uuid!'
                                            name:
                                              nullable: false
                                              title: String
                                              type: string
                                          title: fieldsvalues
                                          type: object
                                        id:
                                          $ref: '#/components/schemas/uuid!'
                                        location:
                                          description: columns and relationships of "locations"
                                          nullable: true
                                          properties:
                                            id:
                                              $ref: '#/components/schemas/uuid!'
                                            locality:
                                              nullable: true
                                              title: String
                                              type: string
                                          title: locations
                                          type: object
                                        value:
                                          nullable: true
                                          title: String
                                          type: string
                                      title: companies_fieldsvalues
                                      type: object
                                    nullable: false
                                    type: array
                                  id:
                                    $ref: '#/components/schemas/uuid!'
                                title: companies
                                type: object
                              companyId:
                                $ref: '#/components/schemas/uuid'
                              createdAt:
                                $ref: '#/components/schemas/timestamptz!'
                              externalId:
                                $ref: '#/components/schemas/uuid!'
                              project:
                                description: columns and relationships of "projects"
                                nullable: true
                                properties:
                                  assignees:
                                    items:
                                      description: Users assigned to projects.
                                      nullable: false
                                      properties:
                                        user:
                                          description: >-
                                            User account information. Don't modify
                                            its structure as Hasura Auth relies on
                                            it to function properly.
                                          nullable: false
                                          properties:
                                            id:
                                              $ref: '#/components/schemas/uuid!'
                                          title: users
                                          type: object
                                      title: projects_assignees
                                      type: object
                                    nullable: false
                                    type: array
                                  color:
                                    description: columns and relationships of "colors"
                                    nullable: true
                                    properties:
                                      id:
                                        nullable: false
                                        title: String
                                        type: string
                                      name:
                                        nullable: true
                                        title: String
                                        type: string
                                    title: colors
                                    type: object
                                  company:
                                    description: Which users groups have whichcompanies
                                    nullable: true
                                    properties:
                                      companyPublicData:
                                        description: >-
                                          columns and relationships of
                                          "companies_publicdata"
                                        nullable: false
                                        properties:
                                          foundedAt:
                                            $ref: '#/components/schemas/timestamptz'
                                          id:
                                            $ref: '#/components/schemas/uuid!'
                                          image:
                                            description: columns and relationships of "images"
                                            nullable: true
                                            properties:
                                              publicUrl:
                                                nullable: true
                                                title: String
                                                type: string
                                            title: images
                                            type: object
                                          linkedinEmployeeCount:
                                            nullable: true
                                            title: Int
                                            type: integer
                                          linkedinEmployeeEndCount:
                                            nullable: true
                                            title: Int
                                            type: integer
                                          linkedinEmployeeStartCount:
                                            nullable: true
                                            title: Int
                                            type: integer
                                          linkedinUrl:
                                            nullable: true
                                            title: String
                                            type: string
                                          name:
                                            nullable: false
                                            title: String
                                            type: string
                                          tagline:
                                            nullable: true
                                            title: String
                                            type: string
                                          website:
                                            nullable: true
                                            title: String
                                            type: string
                                        title: companies_publicdata
                                        type: object
                                      companyPublicDataId:
                                        $ref: '#/components/schemas/uuid!'
                                      fieldsValues:
                                        items:
                                          description: >-
                                            columns and relationships of
                                            "companies_fieldsvalues"
                                          nullable: false
                                          properties:
                                            field:
                                              description: columns and relationships of "fields"
                                              nullable: false
                                              properties:
                                                id:
                                                  $ref: '#/components/schemas/uuid!'
                                                name:
                                                  nullable: false
                                                  title: String
                                                  type: string
                                                type:
                                                  $ref: '#/components/schemas/fields_types_enum!'
                                              title: fields
                                              type: object
                                            fieldValue:
                                              description: >-
                                                columns and relationships of
                                                "fieldsvalues"
                                              nullable: true
                                              properties:
                                                id:
                                                  $ref: '#/components/schemas/uuid!'
                                                name:
                                                  nullable: false
                                                  title: String
                                                  type: string
                                              title: fieldsvalues
                                              type: object
                                            id:
                                              $ref: '#/components/schemas/uuid!'
                                            value:
                                              nullable: true
                                              title: String
                                              type: string
                                          title: companies_fieldsvalues
                                          type: object
                                        nullable: false
                                        type: array
                                      id:
                                        $ref: '#/components/schemas/uuid!'
                                    title: companies
                                    type: object
                                  fieldsValues:
                                    items:
                                      description: >-
                                        columns and relationships of
                                        "projects_fieldsvalues"
                                      nullable: false
                                      properties:
                                        field:
                                          description: columns and relationships of "fields"
                                          nullable: false
                                          properties:
                                            id:
                                              $ref: '#/components/schemas/uuid!'
                                            name:
                                              nullable: false
                                              title: String
                                              type: string
                                            type:
                                              $ref: '#/components/schemas/fields_types_enum!'
                                          title: fields
                                          type: object
                                        fieldValue:
                                          description: >-
                                            columns and relationships of
                                            "fieldsvalues"
                                          nullable: true
                                          properties:
                                            id:
                                              $ref: '#/components/schemas/uuid!'
                                            name:
                                              nullable: false
                                              title: String
                                              type: string
                                          title: fieldsvalues
                                          type: object
                                        id:
                                          $ref: '#/components/schemas/uuid!'
                                        location:
                                          description: columns and relationships of "locations"
                                          nullable: true
                                          properties:
                                            id:
                                              $ref: '#/components/schemas/uuid!'
                                            locality:
                                              nullable: true
                                              title: String
                                              type: string
                                          title: locations
                                          type: object
                                        value:
                                          nullable: true
                                          title: String
                                          type: string
                                      title: projects_fieldsvalues
                                      type: object
                                    nullable: false
                                    type: array
                                  id:
                                    $ref: '#/components/schemas/uuid!'
                                  isMadeForRecruitment:
                                    nullable: false
                                    title: Boolean
                                    type: boolean
                                  isMadeForSales:
                                    nullable: false
                                    title: Boolean
                                    type: boolean
                                  name:
                                    nullable: false
                                    title: String
                                    type: string
                                  presetId:
                                    $ref: '#/components/schemas/uuid!'
                                  publicUrl:
                                    nullable: true
                                    title: String
                                    type: string
                                  referenceId:
                                    nullable: true
                                    title: String
                                    type: string
                                title: projects
                                type: object
                              projectId:
                                $ref: '#/components/schemas/uuid'
                              source: b4b82f1f-4d86-49e6-8f5b-31ef1d9656a6
                              status:
                                description: columns and relationships of "statuses"
                                nullable: false
                                properties:
                                  color:
                                    description: columns and relationships of "colors"
                                    nullable: true
                                    properties:
                                      id:
                                        nullable: false
                                        title: String
                                        type: string
                                      name:
                                        nullable: true
                                        title: String
                                        type: string
                                    title: colors
                                    type: object
                                  id:
                                    $ref: '#/components/schemas/uuid!'
                                  isAuto:
                                    nullable: false
                                    title: Boolean
                                    type: boolean
                                  isProtected:
                                    nullable: false
                                    title: Boolean
                                    type: boolean
                                  title:
                                    nullable: false
                                    title: String
                                    type: string
                                title: statuses
                                type: object
                              statusId:
                                $ref: '#/components/schemas/uuid!'
                              updatedAt:
                                $ref: '#/components/schemas/timestamptz'
                            title: profiles_associations
                            type: object
                          nullable: false
                          type: array
                        birthday: 4679d2d3-e658-4e67-ba30-9900b417dc7a
                        canSendInMail:
                          nullable: true
                          title: Boolean
                          type: boolean
                        countApplicationsFromThisProfile:
                          nullable: true
                          title: Int
                          type: integer
                        countConnexionsWithThisProfile:
                          nullable: true
                          title: Int
                          type: integer
                        countInvitationsScheduledToThisProfile:
                          nullable: true
                          title: Int
                          type: integer
                        countInvitationsSentToThisProfile:
                          nullable: true
                          title: Int
                          type: integer
                        countMeetingsDoneWithThisProfile:
                          nullable: true
                          title: Int
                          type: integer
                        countMeetingsScheduledWithThisProfile:
                          nullable: true
                          title: Int
                          type: integer
                        countMessagesReceivedFromThisProfile:
                          nullable: true
                          title: Int
                          type: integer
                        countMessagesScheduledToThisProfile:
                          nullable: true
                          title: Int
                          type: integer
                        countMessagesSentToThisProfile:
                          nullable: true
                          title: Int
                          type: integer
                        countResumes:
                          nullable: true
                          title: Int
                          type: integer
                        createdAt:
                          $ref: '#/components/schemas/timestamptz!'
                        createdBy:
                          description: >-
                            User account information. Don't modify its structure
                            as Hasura Auth relies on it to function properly.
                          nullable: false
                          properties:
                            displayName:
                              nullable: false
                              title: String
                              type: string
                            id:
                              $ref: '#/components/schemas/uuid!'
                          title: users
                          type: object
                        createdByUserId:
                          $ref: '#/components/schemas/uuid!'
                        deletedAt:
                          $ref: '#/components/schemas/timestamptz'
                        distance: f8e73b36-8a4c-4e31-bebd-5e439c69ff3f
                        educations:
                          items:
                            description: columns and relationships of "profiles_educations"
                            nullable: false
                            properties:
                              endDate:
                                $ref: '#/components/schemas/timestamptz'
                              id:
                                $ref: '#/components/schemas/uuid!'
                              school:
                                description: columns and relationships of "schools"
                                nullable: true
                                properties:
                                  id:
                                    $ref: '#/components/schemas/uuid!'
                                  name:
                                    nullable: false
                                    title: String
                                    type: string
                                title: schools
                                type: object
                              schoolId:
                                $ref: '#/components/schemas/uuid'
                              source: ec9518a9-9be4-400d-8063-63c2a4149502
                              startDate:
                                $ref: '#/components/schemas/timestamptz'
                              title:
                                nullable: false
                                title: String
                                type: string
                            title: profiles_educations
                            type: object
                          nullable: false
                          type: array
                        emailAddresses:
                          items:
                            description: columns and relationships of "email_addresses"
                            nullable: false
                            properties:
                              email:
                                nullable: false
                                title: String
                                type: string
                              id:
                                $ref: '#/components/schemas/uuid!'
                              source: cdf9a6b2-423e-49d0-8039-360ac2d596bf
                            title: email_addresses
                            type: object
                          nullable: false
                          type: array
                        externalId:
                          nullable: true
                          title: String
                          type: string
                        fieldsValues:
                          items:
                            description: >-
                              columns and relationships of
                              "profiles_fieldsvalues"
                            nullable: false
                            properties:
                              field:
                                description: columns and relationships of "fields"
                                nullable: false
                                properties:
                                  id:
                                    $ref: '#/components/schemas/uuid!'
                                  name:
                                    nullable: false
                                    title: String
                                    type: string
                                  parent:
                                    description: columns and relationships of "fields"
                                    nullable: true
                                    properties:
                                      id:
                                        $ref: '#/components/schemas/uuid!'
                                      name:
                                        nullable: false
                                        title: String
                                        type: string
                                    title: fields
                                    type: object
                                  type:
                                    $ref: '#/components/schemas/fields_types_enum!'
                                title: fields
                                type: object
                              fieldId:
                                $ref: '#/components/schemas/uuid!'
                              fieldValue:
                                description: columns and relationships of "fieldsvalues"
                                nullable: true
                                properties:
                                  id:
                                    $ref: '#/components/schemas/uuid!'
                                  name:
                                    nullable: false
                                    title: String
                                    type: string
                                title: fieldsvalues
                                type: object
                              fieldValueId:
                                $ref: '#/components/schemas/uuid'
                              id:
                                $ref: '#/components/schemas/uuid!'
                              location:
                                description: columns and relationships of "locations"
                                nullable: true
                                properties:
                                  formattedAddress:
                                    nullable: true
                                    title: String
                                    type: string
                                  id:
                                    $ref: '#/components/schemas/uuid!'
                                  search:
                                    nullable: false
                                    title: String
                                    type: string
                                title: locations
                                type: object
                              value:
                                nullable: true
                                title: String
                                type: string
                            title: profiles_fieldsvalues
                            type: object
                          nullable: false
                          type: array
                        files:
                          items:
                            description: columns and relationships of "profiles_files"
                            nullable: false
                            properties:
                              createdAt:
                                $ref: '#/components/schemas/timestamptz'
                              file:
                                description: columns and relationships of "storage.files"
                                nullable: false
                                properties:
                                  id:
                                    $ref: '#/components/schemas/uuid!'
                                  name:
                                    nullable: true
                                    title: String
                                    type: string
                                title: files
                                type: object
                              fileId:
                                $ref: '#/components/schemas/uuid!'
                              parsedAt:
                                $ref: '#/components/schemas/timestamptz'
                              shouldBeParsed:
                                nullable: false
                                title: Boolean
                                type: boolean
                              updatedAt:
                                $ref: '#/components/schemas/timestamptz'
                            title: profiles_files
                            type: object
                          nullable: false
                          type: array
                        firstInteractionDate:
                          $ref: '#/components/schemas/timestamptz'
                        firstName:
                          nullable: true
                          title: String
                          type: string
                        firstNameManual:
                          nullable: true
                          title: String
                          type: string
                        firstNameParsed:
                          nullable: true
                          title: String
                          type: string
                        groupId:
                          $ref: '#/components/schemas/uuid'
                        headline:
                          nullable: true
                          title: String
                          type: string
                        id:
                          $ref: '#/components/schemas/uuid!'
                        image:
                          description: columns and relationships of "images"
                          nullable: true
                          properties:
                            publicUrl:
                              nullable: true
                              title: String
                              type: string
                          title: images
                          type: object
                        imageId:
                          $ref: '#/components/schemas/uuid'
                        isContact:
                          nullable: false
                          title: Boolean
                          type: boolean
                        isHiring:
                          nullable: true
                          title: Boolean
                          type: boolean
                        isInfluencer:
                          nullable: false
                          title: Boolean
                          type: boolean
                        isLastMessageRead:
                          nullable: true
                          title: Boolean
                          type: boolean
                        isOpenToNewOpportunities:
                          nullable: true
                          title: Boolean
                          type: boolean
                        isPremium:
                          nullable: false
                          title: Boolean
                          type: boolean
                        isTalent:
                          nullable: false
                          title: Boolean
                          type: boolean
                        lastInteractionDate:
                          $ref: '#/components/schemas/timestamptz'
                        lastInteractionType:
                          nullable: true
                          title: String
                          type: string
                        lastName:
                          nullable: true
                          title: String
                          type: string
                        lastNameManual:
                          nullable: true
                          title: String
                          type: string
                        lastNameParsed:
                          nullable: true
                          title: String
                          type: string
                        lastPastInteractionDate:
                          $ref: '#/components/schemas/timestamptz'
                        lastPositionStartDate:
                          $ref: '#/components/schemas/timestamptz'
                        linkedinId:
                          nullable: true
                          title: Int
                          type: integer
                        linkedinSalesNavigatorIdentifier:
                          nullable: true
                          title: String
                          type: string
                        linkedinSignificantIdentifier:
                          nullable: true
                          title: String
                          type: string
                        locales:
                          items:
                            description: The languages in which the profile is available
                            nullable: false
                            properties:
                              country:
                                nullable: true
                                title: String
                                type: string
                              language: 37df78b4-efaa-4ed6-ba05-33074fb39458
                            title: profiles_locales
                            type: object
                          nullable: false
                          type: array
                        locations:
                          description: >-
                            Profile locations (array of profiles_locations).
                            Each entry links to a location with a source.
                          items:
                            properties:
                              id:
                                $ref: '#/components/schemas/uuid!'
                              source: c6909b4d-a016-4512-9ec4-02b16298f2da
                              location:
                                description: columns and relationships of "locations"
                                nullable: true
                                properties:
                                  id:
                                    $ref: '#/components/schemas/uuid!'
                                  search:
                                    nullable: false
                                    title: String
                                    type: string
                                  formattedAddress:
                                    nullable: true
                                    title: String
                                    type: string
                                  center: 8c1ccf60-5183-48d3-b5ef-02186c6c286f
                                  locality:
                                    nullable: true
                                    title: String
                                    type: string
                                  postalCode:
                                    nullable: true
                                    title: String
                                    type: string
                                  countryName:
                                    nullable: true
                                    title: String
                                    type: string
                                  accuracyLevel:
                                    nullable: true
                                    title: String
                                    type: string
                                title: locations
                                type: object
                            title: profiles_locations
                            type: object
                          nullable: false
                          type: array
                        locationId:
                          $ref: '#/components/schemas/uuid'
                          description: Deprecated. Use locations instead.
                          deprecated: true
                        memberId:
                          nullable: true
                          title: String
                          type: string
                        phoneNumbers:
                          items:
                            description: columns and relationships of "phone_numbers"
                            nullable: false
                            properties:
                              canonicalNumber:
                                nullable: true
                                title: String
                                type: string
                              id:
                                $ref: '#/components/schemas/uuid!'
                              number:
                                nullable: false
                                title: String
                                type: string
                              source: 9a44eda5-f105-4437-bf9f-650924cfbcd1
                              telegramIdentifier:
                                nullable: true
                                title: String
                                type: string
                              telegramLastCheckedAt:
                                $ref: '#/components/schemas/timestamptz'
                              type:
                                nullable: true
                                title: String
                                type: string
                              whatsappIdentifier:
                                nullable: true
                                title: String
                                type: string
                              whatsappLastCheckedAt:
                                $ref: '#/components/schemas/timestamptz'
                            title: phone_numbers
                            type: object
                          nullable: false
                          type: array
                        positions:
                          items:
                            description: columns and relationships of "profiles_positions"
                            nullable: false
                            properties:
                              companyPublicData:
                                description: >-
                                  columns and relationships of
                                  "companies_publicdata"
                                nullable: false
                                properties:
                                  id:
                                    $ref: '#/components/schemas/uuid!'
                                  image:
                                    description: columns and relationships of "images"
                                    nullable: true
                                    properties:
                                      publicUrl:
                                        nullable: true
                                        title: String
                                        type: string
                                    title: images
                                    type: object
                                  name:
                                    nullable: false
                                    title: String
                                    type: string
                                title: companies_publicdata
                                type: object
                              companyPublicDataId:
                                $ref: '#/components/schemas/uuid!'
                              endDate:
                                $ref: '#/components/schemas/timestamptz'
                              id:
                                $ref: '#/components/schemas/uuid!'
                              source: 7081a09b-4dca-4531-8b09-ba3a67dabb55
                              startDate:
                                $ref: '#/components/schemas/timestamptz'
                              title:
                                nullable: true
                                title: String
                                type: string
                            title: profiles_positions
                            type: object
                          nullable: false
                          type: array
                        primaryLocale: c97b3a6b-9289-49a7-8f83-9e096c0fa8f7
                        profileUrl:
                          nullable: true
                          title: String
                          type: string
                        protectedCompaniesWorksIn:
                          items:
                            description: >-
                              columns and relationships of
                              "companies_profiles_is_protected_view"
                            nullable: false
                            properties:
                              companyId:
                                $ref: '#/components/schemas/uuid'
                              companyName:
                                nullable: true
                                title: String
                                type: string
                            title: companies_profiles_is_protected_view
                            type: object
                          nullable: false
                          type: array
                        publicIdentifier:
                          nullable: true
                          title: String
                          type: string
                        searchString:
                          nullable: true
                          title: String
                          type: string
                        source: 537d07d0-6eeb-40f8-99cc-1e24775137d3
                        status:
                          description: columns and relationships of "statuses"
                          nullable: true
                          properties:
                            color:
                              description: columns and relationships of "colors"
                              nullable: true
                              properties:
                                id:
                                  nullable: false
                                  title: String
                                  type: string
                                name:
                                  nullable: true
                                  title: String
                                  type: string
                              title: colors
                              type: object
                            id:
                              $ref: '#/components/schemas/uuid!'
                            isAuto:
                              nullable: false
                              title: Boolean
                              type: boolean
                            title:
                              nullable: false
                              title: String
                              type: string
                          title: statuses
                          type: object
                        statusId:
                          $ref: '#/components/schemas/uuid'
                        summary:
                          nullable: true
                          title: String
                          type: string
                        talentIdentifier:
                          nullable: true
                          title: String
                          type: string
                        updatedAt:
                          $ref: '#/components/schemas/timestamptz!'
                      title: profiles
                      type: object
                    nullable: false
                    type: array
                  total:
                    type: number
                    example: 100
                    description: The total number of profiles matching the query
              example:
                data:
                  - id: 9ef1c5db-9c40-4329-aec6-d3b3230b45b9
                    addedAt: '2025-01-06T16:26:40.484813+00:00'
                    birthday: null
                    canSendInMail: null
                    countConnexionsWithThisProfile: 0
                    countInvitationsScheduledToThisProfile: 0
                    countInvitationsSentToThisProfile: 0
                    countApplicationsFromThisProfile: 0
                    countMeetingsDoneWithThisProfile: 0
                    countMeetingsScheduledWithThisProfile: 0
                    countMessagesReceivedFromThisProfile: 0
                    countMessagesScheduledToThisProfile: 0
                    countMessagesSentToThisProfile: 0
                    createdAt: '2025-01-06T16:26:40.484813+00:00'
                    createdByUserId: 0024184e-0780-4f3b-be35-9c057ad94ec4
                    deletedAt: null
                    distance: null
                    externalId: null
                    firstInteractionDate: null
                    firstName: Johan
                    firstNameParsed: null
                    firstNameManual: Johan
                    groupId: 952582b4-bb51-461e-b566-0e5f980f4660
                    countResumes: 0
                    headline: null
                    imageId: null
                    isTalent: true
                    isContact: false
                    isHiring: null
                    isOpenToNewOpportunities: null
                    isInfluencer: false
                    isPremium: false
                    lastInteractionDate: null
                    lastPastInteractionDate: null
                    lastInteractionType: null
                    lastPositionStartDate: null
                    lastName: Barri
                    lastNameParsed: null
                    lastNameManual: Barri
                    linkedinId: null
                    locationId: null
                    memberId: null
                    profileUrl: null
                    publicIdentifier: null
                    primaryLocale: null
                    searchString: johan barri johan
                    source: MANUAL
                    statusId: b2d697e3-668d-42d1-a340-1920f920a7ca
                    talentIdentifier: null
                    linkedinSalesNavigatorIdentifier: null
                    linkedinSignificantIdentifier: null
                    summary: null
                    updatedAt: '2025-01-06T16:26:40.484813+00:00'
                    pendingExecuteTriggerTasks: []
                    unreadMessagesNotifications:
                      aggregate:
                        count: 0
                        __typename: notifications_aggregate_fields
                      __typename: notifications_aggregate
                    protectedCompaniesWorksIn: []
                    createdBy:
                      displayName: Sarah Le Roué
                      id: 0024184e-0780-4f3b-be35-9c057ad94ec4
                      __typename: users
                    image: null
                    locations: []
                    files: []
                    positions: []
                    locales: []
                    educations: []
                    fieldsValues: []
                    emailAddresses: []
                    phoneNumbers: []
                    assignees:
                      - user:
                          displayName: Sarah Le Roué
                          id: 0024184e-0780-4f3b-be35-9c057ad94ec4
                          __typename: users
                        __typename: profiles_assignees_cache
                    status:
                      title: jarvis.statuses.notContacted
                      color:
                        id: '#d1c4e9'
                        name: deep-purple-100
                        __typename: colors
                      isAuto: true
                      id: b2d697e3-668d-42d1-a340-1920f920a7ca
                      isProtected: false
                      __typename: statuses
                    associations: []
                    __typename: profiles
                total: 1
          description: Responses for GET /api/rest/profiles
components:
  schemas:
    timestamptz:
      nullable: true
      title: timestamptz
    uuid!:
      nullable: false
      pattern: '[a-f0-9]{8}-[a-f0-9]{4}-4[a-f0-9]{3}-[89aAbB][a-f0-9]{3}-[a-f0-9]{12}'
      title: uuid
      type: string
    fields_types_enum!:
      enum:
        - boolean
        - date
        - group
        - multiplechoice
        - number
        - rating
        - richtext
        - singlechoice
        - singlelocation
        - text
      nullable: false
      title: fields_types_enum
    uuid:
      nullable: true
      pattern: '[a-f0-9]{8}-[a-f0-9]{4}-4[a-f0-9]{3}-[89aAbB][a-f0-9]{3}-[a-f0-9]{12}'
      title: uuid
      type: string
    timestamptz!:
      nullable: false
      title: timestamptz
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````